Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.es
Class EntityComparator

    java.lang.Object
      com.vordel.es.EntityComparator

All Implemented Interfaces:
  java.util.Comparator<Entity>

    public class EntityComparator

extends java.lang.Object
implements java.util.Comparator<Entity>

Compare entities for sorting functionality. Used by the EntityStore delegate.

Field Summary
`static int` | `ORDER_DECREASING`
`static int` | `ORDER_INCREASING`

Constructor Summary
`EntityComparator(java.lang.String fieldName)`
`EntityComparator(java.lang.String[] fieldNames)`
`EntityComparator(java.lang.String[] fieldNames, int order)`

Method Summary
`int` | `compare(Entity e1, Entity e2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### ORDER_INCREASING

    public static final int ORDER_INCREASING

See Also:
  Constant Field Values

### ORDER_DECREASING

    public static final int ORDER_DECREASING

See Also:
  Constant Field Values

Constructor Detail

### EntityComparator

    public EntityComparator(java.lang.String fieldName)

### EntityComparator

    public EntityComparator(java.lang.String[] fieldNames)

### EntityComparator

    public EntityComparator(java.lang.String[] fieldNames,
                            int order)

Method Detail

### compare

    public int compare(Entity e1,
                       Entity e2)

  Specified by:
    `compare` in interface `java.util.Comparator<Entity>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel